var n,m,k:longint;

begin
    assign(input,'g.in');
    reset(input);
    assign(output,'g.out');
    rewrite(output);

    readln(n,m);
    readln(k);

    if (n=m)and(n=k)and(n=2) then
    begin
        writeln('4');
        close(input);
        close(output);
        exit;
    end;



    if (k=1)and(n*m<10000) then writeln(n*m)
    else writeln('TOO MANY');
    close(input);
    close(output);
end.
 